Withdrawal
Receiving a commission token to withdraw an orphan transaction
Header parameters
x-api-public-keystringOptional
Public API-key
x-api-signaturestringOptional
Signing the request body with a private API-key
Content-typestringOptionalExample:
Request content type
application/jsonBody
tokenstringOptionalExample:
Withdrawal Token
U2FsdGVkX19V7OXKLA6tM5K89Euyw6aXXvSdIakgbBL0NYV5XnFjRQ4oY8ghVH3+pq4JOQTZYkZJonkAzCud2ButLBCT8FBgUsWfaJPPJb1mJKyRnUDymCxeCvZqjV7J+mP8ykaXT77s6uAJE17Yk3Ua34ckBaKnqBSDleOPHdnioi+Pic4PRbM8OdRZfH/l/ZBHqlQPFHaY7O1KTUS83w==addressstringOptionalExample:
Output address
0x4642BEd309FdB7FFdB34175Cf39c409711cefa5acommentstring · nullableOptional
Comment on the conclusion
webhookUrlstringOptionalExample:
URL for sending a webhook about the withdrawal
https://merchant.domain/webhooks/orphanResponses
200Success
application/json
Successful response
successbooleanRequired
Request success indicator
post/api-gateway/orphan-deposits/withdrawal
POST /api-gateway/orphan-deposits/withdrawal HTTP/1.1
Host: ocp.onchainpay.io
Content-Type: application/json
Accept: */*
Content-Length: 353
{
"token": "U2FsdGVkX19V7OXKLA6tM5K89Euyw6aXXvSdIakgbBL0NYV5XnFjRQ4oY8ghVH3+pq4JOQTZYkZJonkAzCud2ButLBCT8FBgUsWfaJPPJb1mJKyRnUDymCxeCvZqjV7J+mP8ykaXT77s6uAJE17Yk3Ua34ckBaKnqBSDleOPHdnioi+Pic4PRbM8OdRZfH/l/ZBHqlQPFHaY7O1KTUS83w==",
"address": "0x4642BEd309FdB7FFdB34175Cf39c409711cefa5a",
"comment": null,
"webhookUrl": "https://merchant.domain/webhooks/orphan"
}200Success
{
"success": true,
"response": {
"id": "522c9835-7b05-4f83-8bf6-0e9abd4e3841",
"organizationId": "5db89c67-79ad-48bf-aa1a-97d88c023cc7",
"orderId": "d6149b8f-b67f-4cbd-a91e-71fcafcb7575",
"stage": "DEPOSIT",
"status": "PROCESSED",
"message": null,
"currency": "BNB",
"network": "ethereum",
"amount": "0.00612",
"canWithdrawal": true,
"inTransaction": {
"addressType": "PAY_IN",
"addressId": "7977dbe8-c4bb-4dd6-88d0-14a6c39c5c51",
"address": "0x4642BEd309FdB7FFdB34175Cf39c409711cefa5a",
"txId": "0xdb81763509668071c5d2a18f295d8d7ac48a7a31927ed2463cea41e291394f8f",
"amount": "0.00612",
"status": "processed",
"createdAt": "2026-01-29T11:14:13.651Z"
},
"outTransaction": {
"address": "0x4642BEd309FdB7FFdB34175Cf39c409711cefa5a",
"txId": "0xdb81763509668071c5d2a18f295d8d7ac48a7a31927ed2463cea41e291394f8f",
"amount": "0.00612",
"status": "processed",
"feeAmount": "0.000090942",
"feeAmountUSD": "0.03",
"withdrawalId": "4ff5ca20-1c03-4c7a-a91c-232acd0fe690",
"createdAt": "2026-01-29T11:14:13.651Z"
},
"createdAt": "2026-01-29T11:14:13.651Z"
}
}Last updated